Subject: Re: bug#9741: 24.0.90; configure: prefer -ltinfo over -lncurses

From: Jan Djärv <[email-masked]>
Date: Mon, 26 Dec 2011 16:28:17 +0100

Hello.

Is this regarded as a feature, for after the release?

	Jan D.

12 okt 2011 kl. 20:54 skrev Sven Joachim:

> Package: emacs
> Severity: wishlist
> 
> It is possible to build a separate terminfo library from the ncurses
> sources by configuring ncurses with the "--with-termlib" option.  This
> library is usually called libtinfo, and several GNU/Linux distributions
> are using this option; Fedora since Version 7 (May 2007), Ubuntu since
> version 11.10 (to be released tomorrow) and Debian in testing/unstable
> for two weeks.
> 
> If ncurses is built this way, Emacs only needs symbols from libtinfo,
> but with the current `configure' script links against libncurses
> unnecessarily.  It would be nice if `configure' were looking for
> libtinfo and prefer to use -ltinfo over -lncurses.
> 
>